/* ************************************************************************
#
#  DivConq
#
#  http://divconq.com/
#
#  Copyright:
#    Copyright 2012 eTimeline, LLC. All rights reserved.
#
#  License:
#    See the license.txt file in the project's top-level directory for details.
#
#  Authors:
#    * Andy White
#
************************************************************************ */
package divconq.locale;

import java.util.Collection;
import java.util.HashMap;
import java.util.Map;

public class Translations {
	protected String name = null;
	protected Map<String,String> strings = new HashMap<String,String>();
	
	public String getName() {
		return this.name;
	}
	
	public Translations(String name) {
		this.name = name;
	}
	
	public String get(String name) {
		if (name == null)
			return null;
		
		return this.strings.get(name);
	}

	public void put(String name, String v) {
		this.strings.put(name, v);
	}

	public Collection<String> getTokens() {
		return this.strings.keySet();
	}
}
